entity fir11 is
	port (
		inp: in real;
		outp: out real);
end fir11;

architecture fir11_beh of fir11 is
begin

process (inp)
		variable inp1, inp2, inp3, inp4, inp5, 
				inp6, inp7, inp8, inp9, inp10: real;
		variable acc0, acc1, acc2, acc3, acc4, 
				acc5, acc6, acc7, acc8, acc9: real;
	begin
		acc0 := inp10 * (-0.001953125);
		acc1 := inp9 * (0.003906250) + acc0;
		acc2 := inp8 * (-0.007812500) + acc1;
		acc3 := inp7 * (0.019531250) + acc2;
		acc4 := inp6 * (-0.066406250) + acc3;
		acc5 := inp5 * (0.750000000) + acc4;
		acc6 := inp4 * (-0.066406250) + acc5;
		acc7 := inp3 * (0.019531250)+ acc6;
		acc8 := inp2 * (-0.007812500) + acc7;
		acc9 := inp1 * (0.003906250) + acc8;
		outp <= inp * (-0.001953125) + acc9;

		inp10 := inp9;
		inp9 := inp8;
		inp8 := inp7;
		inp7 := inp6;
		inp6 := inp5;
		inp5 := inp4;
		inp4 := inp3;
		inp3 := inp2;
		inp2 := inp1;
		inp1 := inp;
	end process;
end fir11_beh;

configuration cfg_fir11 of fir11 is
	for fir11_beh
	end for;
end cfg_fir11;
